<template>
  <div>
    <div class="form-group">
      <select
        class="form-control form-control-lg mb-3"
        v-model="timee"
        @change="send"
      >
        <option
          v-for="(listReservation, index) in freeHours"
          :key="index"
          :value="listReservation.time"
          >{{ listReservation.time }}
        </option>
      </select>
    </div>
    <div class="form-group">
      <select
        class="form-control form-control-lg mb-3"
        v-model="endtime"
        @change="sendendtime"
        disabled
        id="endtime"
      >
        <option
          v-for="(list, index) in endHours"
          :key="index"
          :value="list.end_time"
          >{{ list.end_time }}
        </option>
      </select>
    </div>
  </div>
</template>
<script>
export default {
  props: {
    freeHours: {},
    endHours: {},
  },
  data() {
    return {
      timee: null,
      endtime: null,
    };
  },
  methods: {
    send() {
      this.$emit("save-hours-event", this.timee);
        document.getElementById("endtime").disabled = false;
    },
    sendendtime() {
      this.$emit("save-endtime-event", this.endtime);
      console.log("jhtjhr:", this.endtime);
    },
  },
};
</script>
<style scoped></style>
